| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::AHBTexturePoolVK::PoolEntry Struct Reference

`#include <ahb_texture_pool_vk.h>`

## Public Member Functions
| PoolEntry (std::shared_ptr< AHBTextureSourceVK > p_item, fml::UniqueFD p_render_ready_fence={})
constexpr bool | IsValid () const

## Public Attributes
std::shared_ptr< AHBTextureSourceVK > | texture
std::shared_ptr< fml::UniqueFD > | render_ready_fence

## Detailed Description

Definition at line 31 of file ahb_texture_pool_vk.h.

## Constructor & Destructor Documentation

## ◆ PoolEntry()

impeller::AHBTexturePoolVK::PoolEntry::PoolEntry | ( | std::shared_ptr< AHBTextureSourceVK > | p_item,
|  | fml::UniqueFD | p_render_ready_fence = `{}`
| ) |  |
| inlineexplicit

Definition at line 35 of file ahb_texture_pool_vk.h.

36 {})
37 : texture(std::move(p_item)),
38 render_ready_fence(std::make_shared<fml::UniqueFD>(
39 std::move(p_render_ready_fence))) {}

## Member Function Documentation

## ◆ IsValid()

constexpr bool impeller::AHBTexturePoolVK::PoolEntry::IsValid | ( |  | ) | const
| inlineconstexpr

Definition at line 41 of file ahb_texture_pool_vk.h.

41 { return !!texture; }

References texture.

## Member Data Documentation

## ◆ render_ready_fence

std::shared_ptr<fml::UniqueFD> impeller::AHBTexturePoolVK::PoolEntry::render_ready_fence

Definition at line 33 of file ahb_texture_pool_vk.h.

## ◆ texture

std::shared_ptr<AHBTextureSourceVK> impeller::AHBTexturePoolVK::PoolEntry::texture

Definition at line 32 of file ahb_texture_pool_vk.h.

Referenced by IsValid().

The documentation for this struct was generated from the following file:

- impeller/renderer/backend/vulkan/swapchain/ahb/ahb_texture_pool_vk.h

impeller::AHBTexturePoolVK::PoolEntry::texture
std::shared_ptr< AHBTextureSourceVK > texture
Definition: ahb_texture_pool_vk.h:32
impeller::AHBTexturePoolVK::PoolEntry::render_ready_fence
std::shared_ptr< fml::UniqueFD > render_ready_fence
Definition: ahb_texture_pool_vk.h:33